В случае, если столкнулись с такой ошибкой — нужно просто переустановить eAccelerrator.

Даже конфиг менять не нужно, просто выполняем ряд команд:

cd /tmp
wget http://bart.eaccelerator.net/source/0.9.6.1/eaccelerator-0.9.6.1.tar.bz2
tar -xf eaccelerator-0.9.6.1.tar.bz2
cd eaccelerator-0.9.6.1
phpize
./configure
make install

Перезапускаем апач и радуемся :)